import type { RouteRecordRaw } from "vue-router";
import Middleware from "@/js/contexts/shared/models/Middleware";
import { Permission } from "@/js/contexts/shared/models/Permission";

const routes: RouteRecordRaw[] = [
  {
    name: "admin.domains",
    path: "/admin/domains",
    component: () => import("@/js/contexts/admin/domains/ui/pages/DomainsListPage.vue"),
    meta: {
      middleware: [Middleware.auth],
      permissions: [Permission.ADMIN_DOMAINS_VIEW],
    },
    children: [
      {
        name: "admin.domains.create",
        path: "/admin/domains/create",
        component: () => import("@/js/contexts/admin/domains/ui/pages/DomainsCreatePage.vue"),
        meta: {
          middleware: [Middleware.auth],
          permissions: [Permission.ADMIN_DOMAINS_CREATE],
        },
      },
      {
        name: "admin.domains.update",
        path: "/admin/domains/:id",
        component: () => import("@/js/contexts/admin/domains/ui/pages/DomainsUpdatePage.vue"),
        meta: {
          middleware: [Middleware.auth],
          permissions: [Permission.ADMIN_DOMAINS_UPDATE],
        },
      },
    ],
  },
];

export default routes;
